package cn.iocoder.yudao.module.product.vo.product;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
* 商品类型 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductTypeBaseVO {

    @ApiModelProperty(value = "中文标题", required = true)
    @NotNull(message = "中文标题不能为空")
    private String titleZh;

    @ApiModelProperty(value = "英文标题", required = true)
    @NotNull(message = "英文标题不能为空")
    private String titleEn;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
