package cn.iocoder.yudao.module.product.api;

import cn.iocoder.yudao.module.product.CouponApi;
import cn.iocoder.yudao.module.product.service.coupon.CouponService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class CouponApiImpl implements CouponApi {

    @Resource
    private CouponService couponService;

    @Override
    public void couponExpire() {
        log.info("开始过期优惠劵和优惠活动...");
        long count = couponService.couponExpire();
        log.info("过期优惠劵和优惠活动...{}个", count);
    }
}
