package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.vo.coupon.content.CouponContentCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.content.CouponContentExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.content.CouponContentRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.content.CouponContentUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponContentDO;

/**
 * 优惠券站内信息关联信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponContentConvert {

    CouponContentConvert INSTANCE = Mappers.getMapper(CouponContentConvert.class);

    CouponContentDO convert(CouponContentCreateReqVO bean);

    CouponContentDO convert(CouponContentUpdateReqVO bean);

    CouponContentRespVO convert(CouponContentDO bean);

    List<CouponContentRespVO> convertList(List<CouponContentDO> list);

    PageResult<CouponContentRespVO> convertPage(PageResult<CouponContentDO> page);

    List<CouponContentExcelVO> convertList02(List<CouponContentDO> list);

}
