package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.vo.coupon.CouponCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.CouponExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.CouponRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.CouponUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponDO;

/**
 * 优惠券信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponConvert {

    CouponConvert INSTANCE = Mappers.getMapper(CouponConvert.class);

    CouponDO convert(CouponCreateReqVO bean);

    CouponDO convert(CouponUpdateReqVO bean);

    CouponRespVO convert(CouponDO bean);

    List<CouponRespVO> convertList(List<CouponDO> list);

    PageResult<CouponRespVO> convertPage(PageResult<CouponDO> page);

    List<CouponExcelVO> convertList02(List<CouponDO> list);

}
