package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponCustomerDO;
import cn.iocoder.yudao.module.product.vo.coupon.customer.CouponCustomerCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.customer.CouponCustomerExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.customer.CouponCustomerRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.customer.CouponCustomerUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 优惠券客户关联信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponCustomerConvert {

    CouponCustomerConvert INSTANCE = Mappers.getMapper(CouponCustomerConvert.class);

    CouponCustomerDO convert(CouponCustomerCreateReqVO bean);

    CouponCustomerDO convert(CouponCustomerUpdateReqVO bean);

    CouponCustomerRespVO convert(CouponCustomerDO bean);

    List<CouponCustomerRespVO> convertList(List<CouponCustomerDO> list);

    PageResult<CouponCustomerRespVO> convertPage(PageResult<CouponCustomerDO> page);

    List<CouponCustomerExcelVO> convertList02(List<CouponCustomerDO> list);

}
