package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.vo.coupon.line.CouponLineCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.line.CouponLineExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.line.CouponLineRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.line.CouponLineUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponLineDO;

/**
 * 优惠券线路关联信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponLineConvert {

    CouponLineConvert INSTANCE = Mappers.getMapper(CouponLineConvert.class);

    CouponLineDO convert(CouponLineCreateReqVO bean);

    CouponLineDO convert(CouponLineUpdateReqVO bean);

    CouponLineRespVO convert(CouponLineDO bean);

    List<CouponLineRespVO> convertList(List<CouponLineDO> list);

    PageResult<CouponLineRespVO> convertPage(PageResult<CouponLineDO> page);

    List<CouponLineExcelVO> convertList02(List<CouponLineDO> list);

}
