package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.vo.coupon.prod.CouponProdCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.prod.CouponProdExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.prod.CouponProdRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.prod.CouponProdUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponProdDO;

/**
 * 优惠券商品关联信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponProdConvert {

    CouponProdConvert INSTANCE = Mappers.getMapper(CouponProdConvert.class);

    CouponProdDO convert(CouponProdCreateReqVO bean);

    CouponProdDO convert(CouponProdUpdateReqVO bean);

    CouponProdRespVO convert(CouponProdDO bean);

    List<CouponProdRespVO> convertList(List<CouponProdDO> list);

    PageResult<CouponProdRespVO> convertPage(PageResult<CouponProdDO> page);

    List<CouponProdExcelVO> convertList02(List<CouponProdDO> list);

}
