package cn.iocoder.yudao.module.product.convert.product;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.dto.ProductPriceExcelData;
import cn.iocoder.yudao.module.product.vo.productPrice.*;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 产品价格 Convert
 *
 * @author wlh
 */
@Mapper
public interface ProductPriceConvert {

    ProductPriceConvert INSTANCE = Mappers.getMapper(ProductPriceConvert.class);

    ProductPriceDO convert(ProductPriceCreateReqVO bean);

    ProductPriceDO convert(ProductPriceUpdateReqVO bean);

    ProductPriceRespVO convert(ProductPriceDO bean);

    List<ProductPriceRespVO> convertList(List<ProductPriceDO> list);

    PageResult<ProductPriceRespVO> convertPage(PageResult<ProductPriceDO> page);

    List<ProductPriceExcelVO> convertList02(List<ProductPriceExcelData> list);

    ProductPriceDO convert(ProductPriceAirCreateReqVO bean);

    ProductPriceDO convert(ProductPriceAirUpdateReqVO bean);

}
