package cn.iocoder.yudao.module.product.convert.productBrandTrademarkRel;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelExcelVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelRespVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.*;
import cn.iocoder.yudao.module.product.dal.dataobject.productBrandTrademarkRel.ProductBrandTrademarkRelDO;

/**
 * 商品品牌与商标关联 Convert
 *
 * @author 江楠
 */
@Mapper
public interface ProductBrandTrademarkRelConvert {

    ProductBrandTrademarkRelConvert INSTANCE = Mappers.getMapper(ProductBrandTrademarkRelConvert.class);

    ProductBrandTrademarkRelDO convert(ProductBrandTrademarkRelCreateReqVO bean);

    ProductBrandTrademarkRelDO convert(ProductBrandTrademarkRelUpdateReqVO bean);

    ProductBrandTrademarkRelRespVO convert(ProductBrandTrademarkRelDO bean);

    List<ProductBrandTrademarkRelRespVO> convertList(List<ProductBrandTrademarkRelDO> list);

    PageResult<ProductBrandTrademarkRelRespVO> convertPage(PageResult<ProductBrandTrademarkRelDO> page);

    List<ProductBrandTrademarkRelExcelVO> convertList02(List<ProductBrandTrademarkRelDO> list);
}
