package cn.iocoder.yudao.module.product.dal.dataobject.coupon;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 优惠券站内信息关联信息 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_coupon_content")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CouponContentDO {

    /**
     * 优惠券线路ID
     */
    @TableId
    private Long couponContentId;
    /**
     * 优惠券ID
     */
    private Long couponId;
    /**
     * 内容-中文
     */
    private String contentZh;
    /**
     * 内容-英文
     */
    private String contentEn;

}
