package cn.iocoder.yudao.module.product.dal.dataobject.coupon;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 优惠券客户关联信息 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_coupon_customer")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CouponCustomerDO {

    /**
     * 优惠券客户ID
     */
    @TableId
    private Long couponCustomerId;
    /**
     * 优惠券ID
     */
    private Long couponId;
    /**
     * web端用户ID
     */
    private Long userId;
    /**
     * 客户ID
     */
    private Long customerId;
    /**
     * 领券时间
     */
    private Date receiveTime;
    /**
     * 优惠券状态 0:失效 1:有效 2:使用过
     */
    private Integer status;
    /**
     * 开始时间
     */
    private Date userStartTime;
    /**
     * 结束时间
     */
    private Date userEndTime;
    /**
     * 优惠券是否被删除
     */
    private Boolean isDelete;

}
