package cn.iocoder.yudao.module.product.dal.dataobject.coupon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 优惠券线路关联信息 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_coupon_line")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("优惠线路中间表信息")
public class CouponLineDO {

    /**
     * 优惠券线路ID
     */
    @TableId
    @ApiModelProperty("主键id")
    private Long couponLineId;
    /**
     * 优惠券ID
     */
    @ApiModelProperty("优惠id")
    private Long couponId;
    /**
     * 线路ID
     */
    @ApiModelProperty("线路id")
    private Long lineId;
    /**
     * 渠道ID
     */
    @ApiModelProperty("渠道id")
    private Long channelId;

}
