package cn.iocoder.yudao.module.product.dal.dataobject.coupon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 优惠券商品关联信息 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_coupon_prod")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("优惠商品信息中间表")
public class CouponProdDO {

    /**
     * 优惠券商品ID
     */
    @TableId
    @ApiModelProperty("主键id")
    private Long couponProdId;
    /**
     * 优惠券ID
     */
    @ApiModelProperty("优惠id")
    private Long couponId;
    /**
     * 商品ID
     */
    @ApiModelProperty("商品id")
    private Long prodId;

}
