package cn.iocoder.yudao.module.product.dal.dataobject.product;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 线路价格特需
 */
@TableName("ecw_product_price_special")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductPriceSpecialDO extends BasePrice implements Serializable {
    private Long id;

    /**
     * 产品价格ID
     */
    private Long productPriceId;


    /**
     * 特殊需求字典类型
     */
    private String specialDictType;

}
