package cn.iocoder.yudao.module.product.dal.dataobject.product;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 阶梯价格特殊需求 DO
 *
 * @author wlh
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_product_price_step_special")
@ToString(callSuper = true)
public class ProductPriceStepSpecialDO extends BasePrice {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 路线价格ID
     */
    private Long productPriceId;
    /**
     * 阶梯价格ID
     */
    private Long productPriceStepId;
    /**
     * 特殊需求字典
     */
    private String specialDictType;

    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
