package cn.iocoder.yudao.module.product.dal.dataobject.product;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产品类型 DO
 *
 * @author wlh
 */
@TableName("ecw_product_type")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductTypeDO extends BaseDO {
    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 中文标题
     */
    private String titleZh;
    /**
     * 英文标题
     */
    private String titleEn;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
