package cn.iocoder.yudao.module.product.dal.dataobject.productBrandTrademarkCateogryRel;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 商标与商品分类关联 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_product_brand_trademark_cateogry_rel")
@ToString(callSuper = true)
public class ProductBrandTrademarkCateogryRelDO  {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 商标id
     */
    private Long trademarkId;
    /**
     * 商品分类，0是全部
     */
    private Long productCategoryId;
    /**
     * 商品id，0是全部
     */
    private Long productId;

}
