package cn.iocoder.yudao.module.product.dal.dataobject.productBrandTrademarkRel;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 商品品牌与商标关联 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_product_brand_trademark_rel")
@EqualsAndHashCode()
@ToString(callSuper = true)
public class ProductBrandTrademarkRelDO  {

    /**
     * 主键，商标id
     */
    @TableId
    private Long id;
    /**
     * 关联商品品牌id
     */
    private Long productBrandId;
    /**
     * 商标名称
     */
    private String brandName;


}
