package cn.iocoder.yudao.module.product.dal.mysql.product;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPricePackagingDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 产品价格 Mapper
 *
 * @author wlh
 */
@Mapper
public interface ProductPricePackagingMapper extends BaseMapperX<ProductPricePackagingDO> {

    List<Long> getProductIdList();

    @Delete("delete from ecw_product_price_packaging where product_price_id in (${idStr})")
    void physicsDelete(@Param("idStr") String idStr);

    Integer insertBatchSomeColumn(Collection<ProductPricePackagingDO> entityList);

    int updateBatch(@Param("list") List<ProductPricePackagingDO> list);

    @Delete("delete from ecw_product_price_packaging where id in (${idStr})")
    void physicsDeleteById(@Param("idStr") String idStr);
}
