package cn.iocoder.yudao.module.product.dal.mysql.product;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceStepClearanceDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;

/**
 * 产品清关费阶梯价格 Mapper
 *
 * @author jiuping
 */
@Mapper
public interface ProductPriceStepClearanceMapper extends AbstractMapper<ProductPriceStepClearanceDO> {


    @Delete("delete from ecw_product_price_step_clearance where product_id in (${idStr})")
    void physicsDelete(@Param("idStr") String idStr);

    Integer insertBatchSomeColumn(Collection<ProductPriceStepClearanceDO> entityList);

}
