package cn.iocoder.yudao.module.product.dal.mysql.product;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceStepSpecialDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 产品阶梯特需价格 Mapper
 *
 * @author jiuping
 */
@Mapper
public interface ProductPriceStepSpecialMapper extends AbstractMapper<ProductPriceStepSpecialDO> {

    @Delete("delete from ecw_product_price_step_special where product_price_id in (${idStr})")
    void physicsDelete(@Param("idStr") String idStr);

    Integer insertBatchSomeColumn(Collection<ProductPriceStepSpecialDO> entityList);

    int updateBatch(@Param("list") List<ProductPriceStepSpecialDO> list);

    @Delete("delete from ecw_product_price_step_special where product_price_step_id in (${idStr})")
    void physicsDeleteByStepId(@Param("idStr") String idStr);
}
