package cn.iocoder.yudao.module.product.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "计算后的清单数据")
public class CalculationCostResultDto {

//    @ApiModelProperty(value = "总的箱规")
//    private String totalBoxGauge;
//
//    @ApiModelProperty(value = "总箱数")
//    private Integer totalNum;
//
//    @ApiModelProperty(value = "总货值")
//    private BigDecimal totalWorth;
//
//    @ApiModelProperty(value = "总保价费")
//    private BigDecimal insuranceFee;

//    @ApiModelProperty(value = "货币-运费总计")
//    private Map<Integer, BigDecimal> freightMap;
//
//    @ApiModelProperty(value = "货币-清关费总计")
//    private Map<Integer, BigDecimal> clearanceMap;

    @ApiModelProperty(value = "总的费用清单")
    private CostDto costDto;

    @ApiModelProperty(value = "商品费用清单列表")
    private List<ProdCostDto> prodCostDtoList;

    @ApiModelProperty(value = "用户可用优惠")
    private CouponUserAvailableDto availableDto;
}
