package cn.iocoder.yudao.module.product.dto;

import cn.iocoder.yudao.module.product.vo.productPrice.LineChannelVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

@ApiModel("复制价格入参DTO")
@Data
public class CopyProductPriceDto {

    @ApiModelProperty("商品价格ids,多个用逗号隔开")
    private String productPriceIds;

    @ApiModelProperty("商品id")
    private String productId ;

    @ApiModelProperty(value = "线路渠道列表", required = true)
    @Size(min = 1)
    private List<LineChannelVo> lineChannelList;

}
