package cn.iocoder.yudao.module.product.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FeeDto {

    /**
     * 费用类型 {@link cn.iocoder.yudao.module.product.enums.FeeTypeEnum}
     */
    @ApiModelProperty(value = "费用类型 详见字典类型cost_fee_type")
    private Integer feeType;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "货币ID")
    private Integer currencyId;
}
