package cn.iocoder.yudao.module.product.enums;

public enum AuditEnum {
    unaudit(0, "未提交审核"),
    auditing(1, "审核中"),
    audit_success(2, "审核通过"),
    audit_fail(3, "审核不通过");

    private int status;

    private String text;

    AuditEnum(int status, String text) {
        this.status = status;
        this.text = text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static String getTextByStatus(int status) {
        for (AuditEnum auditEnum : values()) {
            if(auditEnum.status == status) return auditEnum.text;
        }
        return null;
    }
}
