package cn.iocoder.yudao.module.product.service.product.impl;

import cn.iocoder.yudao.module.product.service.product.ProductPriceService;
import cn.iocoder.yudao.module.product.vo.productPrice.*;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class RouterService {
    @Resource
    ProductPriceService productPriceService;

    @Async
    public void batchUpdateProductPrice(ProductPriceBatchUpdateReqVo updateReqVO, ProductPriceCheckAO productPriceCheckAO) {
        productPriceService.batchUpdateProductPrice(updateReqVO, productPriceCheckAO);
    }

    @Async
    public void batchUpdateProductPriceAir(ProductPriceBatchUpdateAirReqVo updateReqVO, ProductPriceCheckAO productPriceCheckAO) {
        productPriceService.batchUpdateProductPriceAir(updateReqVO, productPriceCheckAO);
    }

    @Async
    public void batchAddPrice(ProductPriceBatchAddPriceReqVo batchAddPriceReqVo, ProductPriceCheckAO productPriceCheckAO){
        productPriceService.batchAddPrice(batchAddPriceReqVo, productPriceCheckAO);
    }

    @Async
    public void batchAddPriceAir(ProductPriceBatchAddPriceAirVo batchAddPriceReqVo, ProductPriceCheckAO productPriceCheckAO){
        productPriceService.batchAddPriceAir(batchAddPriceReqVo, productPriceCheckAO);
    }
}
