package cn.iocoder.yudao.module.product.service.productBrandUnauthEmpower;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.product.dal.dataobject.productBrandUnauthEmpower.ProductBrandUnauthEmpowerDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerQueryVO;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerUpdateReqVO;

/**
 * 商品品牌-未授权客户-指定收费标准 Service 接口
 *
 * @author 江楠
 */
public interface ProductBrandUnauthEmpowerService extends IService<ProductBrandUnauthEmpowerDO> {


    /**
     * 更新商品品牌-未授权客户-指定收费标准
     * @param updateReqVO 更新信息
     */
    boolean updateProductBrandUnauthEmpower(@Valid ProductBrandUnauthEmpowerUpdateReqVO updateReqVO);


    /**
     * 获得商品品牌-未授权客户-指定收费标准列表, 用于 Excel 导出
     * @param query 查询
     * @return 商品品牌-未授权客户-指定收费标准列表
     */
    List<ProductBrandUnauthEmpowerDO> getProductBrandUnauthEmpowerList(ProductBrandUnauthEmpowerQueryVO query);
}
