package cn.iocoder.yudao.module.product.vo.coupon.content;

import lombok.*;
import io.swagger.annotations.*;

/**
* 优惠券站内信息关联信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CouponContentBaseVO {

    @ApiModelProperty(value = "优惠券ID")
    private Long couponId;

    @ApiModelProperty(value = "内容-中文")
    private String contentZh;

    @ApiModelProperty(value = "内容-英文")
    private String contentEn;

}
