package cn.iocoder.yudao.module.product.vo.coupon.content;

import lombok.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 优惠券站内信息关联信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponContentPageReqVO extends PageParam {

    @ApiModelProperty(value = "优惠券ID")
    private Long couponId;

    @ApiModelProperty(value = "内容-中文")
    private String contentZh;

    @ApiModelProperty(value = "内容-英文")
    private String contentEn;

}
