package cn.iocoder.yudao.module.product.vo.coupon.customer;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 优惠券客户关联信息更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponCustomerUpdateReqVO extends CouponCustomerBaseVO {

    @ApiModelProperty(value = "优惠券客户ID", required = true)
    @NotNull(message = "优惠券客户ID不能为空")
    private Long couponCustomerId;

}
