package cn.iocoder.yudao.module.product.vo.coupon.line;

import lombok.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 优惠券线路关联信息 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class CouponLineExcelVO {

    @ExcelProperty("优惠券线路ID")
    private Long couponLineId;

    @ExcelProperty("优惠券ID")
    private Long couponId;

    @ExcelProperty("线路ID")
    private Long lineId;

    @ExcelProperty(value = "渠道ID")
    private Long channelId;

}
