package cn.iocoder.yudao.module.product.vo.coupon.line;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 优惠券线路关联信息更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponLineUpdateReqVO extends CouponLineBaseVO {

    @ApiModelProperty(value = "优惠券线路ID", required = true)
    @NotNull(message = "优惠券线路ID不能为空")
    private Long couponLineId;

}
