package cn.iocoder.yudao.module.product.vo.coupon.record;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 优惠券使用记录 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class CouponUseRecordExcelVO {

    @ExcelProperty("优惠券使用记录id")
    private Long couponUseRecordId;

    @ExcelProperty("客户优惠券id")
    private Long couponCustomerId;

    @ExcelProperty(value = "web端用户ID")
    private Long userId;

    @ExcelProperty("客户id")
    private Long customerId;

    @ExcelProperty("订单流水号")
    private String orderNumber;

    @ExcelProperty("金额")
    private BigDecimal amount;

    @ExcelProperty("使用时间")
    private Date useTime;

    @ExcelProperty("使用状态(1:冻结 2:已使用)")
    private Integer status;

}
