package cn.iocoder.yudao.module.product.vo.product;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - app商品创建 Request VO")
@Data
public class AppProductCreateVo {
    @ApiModelProperty(value = "商品类型id", required = true)
    @NotNull(message = "商品类型id不能为空")
    private Long typeId;

    @ApiModelProperty(value = "商品特效id", required = true)
    @NotNull(message = "商品属性id不能为空")
    private String attrId;

    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;
}
