package cn.iocoder.yudao.module.product.vo.productAttr;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 商品属性 Excel VO
 *
 * @author wlh
 */
@Data
public class ProductAttrExcelVO {

    @ExcelProperty("属性名称")
    private String attrName;

    @ExcelProperty("属性英文名称")
    private String attrNameEn;

    @ExcelProperty("属性代码")
    private String attrCode;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
