package cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 商标与商品分类关联创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class ProductBrandTrademarkCateogryRelCreateReqVO {
    @ApiModelProperty(value = "商标id", required = false)
    private Long trademarkId;

    @ApiModelProperty(value = "商品分类，0是全部,一个商标只有一个全部分类。默认是全部，可以修改为指定商标。", required = true)
    @NotNull(message = "商品分类，0是全部不能为空")
    private Long productCategoryId;

    @ApiModelProperty(value = "商品id，0是全部", required = true)
    @NotNull(message = "商品id，0是全部不能为空")
    private Long productId;
}
