package cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 商品品牌与商标关联创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class ProductBrandTrademarkRelCreateReqVO {

    @ApiModelProperty(value = "关联商品品牌id", required = false)
    private Long productBrandId;

    @ApiModelProperty(value = "商标名称", required = true)
    @NotNull(message = "商标名称不能为空")
    private String brandName;

    @ApiModelProperty(value = "商标与商品分类，默认是全部商品分类，可以修改为指定商标。", required = true)
    private List<ProductBrandTrademarkCateogryRelCreateReqVO> trademarkCategoryRelList;

}
