package cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 商品品牌与商标关联更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrandTrademarkRelUpdateReqVO extends ProductBrandTrademarkRelBaseVO {

    @ApiModelProperty(value = "主键，商标id", required = true)
    @NotNull(message = "主键，商标id不能为空")
    private Long id;

    @ApiModelProperty(value = "商标与商品分类", required = true)
    private List<ProductBrandTrademarkCateogryRelCreateReqVO> trademarkCategoryRelList;


}
