package cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商品品牌-未授权客户-指定收费标准 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductBrandUnauthEmpowerBaseVO {

    @ApiModelProperty(value = "商品品牌id", required = true)
    @NotNull(message = "商品品牌id不能为空")
    private Long productBrandId;

    @ApiModelProperty(value = "客户id", required = true)
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    @ApiModelProperty(value = "客户联系人id", required = true)
    @NotNull(message = "客户联系人id不能为空")
    private Long customerContactsId;

    @ApiModelProperty(value = "收费标准  1为有牌收费 2中性价格", required = true)
    @NotNull(message = "收费标准不能为空")
    private Integer feeScale;

}
