package cn.iocoder.yudao.module.product.vo.productPriceSnapshot;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 路线价格修改历史 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductPriceSnapshotBaseVO {

    private Long priceId;

    @ApiModelProperty(value = "产品ID")
    private Long productId;

    @ApiModelProperty(value = "线路ID")
    private Long warehouseLineId;

    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @ApiModelProperty(value = "")
    private String content;

}
