package cn.iocoder.yudao.module.product.vo.productbrandempower;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel(value = "管理后台 - 商品品牌授权 Excel 导出 Request VO", description = "参数和 ProductBrandEmpowerPageReqVO 是一致的")
@Data
public class ProductBrandEmpowerExportReqVO {

    @ApiModelProperty(value = "商品品牌id")
    private Long productBrandId;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户联系人id")
    private Long customerContactsId;

    @ApiModelProperty(value = "开始授权开始时间")
    private Date beginStartTime;

    @ApiModelProperty(value = "结束授权开始时间")
    private Date endStartTime;

    @ApiModelProperty(value = "开始授权结束时间")
    private Date beginEndTime;

    @ApiModelProperty(value = "结束授权结束时间")
    private Date endEndTime;

    @ApiModelProperty(value = "授权文件URL")
    private String fileUrl;

    @ApiModelProperty(value = "收费标准 0为无牌收费 1为有牌收费")
    private Integer feeScale;

    @ApiModelProperty(value = "授权状态 1为未授权 0为已授权")
    private Integer status;

    @ApiModelProperty(value = "创建人id")
    private Long createUserId;

    @ApiModelProperty(value = "创建人用户名")
    private String createUsername;

    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
