package cn.iocoder.yudao.module.product.vo.productbrank;

import lombok.*;
import io.swagger.annotations.*;

/**
* 品牌 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductBrankBaseVO {

    @ApiModelProperty(value = "品牌中文标题")
    private String titleZh;

    @ApiModelProperty(value = "品牌英文标题")
    private String titleEn;

    @ApiModelProperty(value = "品牌法文标题")
    private String titleFr;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "是否备案，字典")
    private String filing;

    @ApiModelProperty(value = "未授权客户收费类型：：0统一模式，一次设置所有用户 1单独给某个用户设置,默认为0")
    private String unauthChargingModel;

    @ApiModelProperty(value = "未授权客户默认收费标准，0无牌价，1有牌价，2中性价")
    private String unauthDefaultFeeType;
}
