package cn.iocoder.yudao.module.product.vo.productbrank;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelUpdateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 品牌更新-修改收费模式 ProductBrankChangeFeeModeReqVO")
@Data
@EqualsAndHashCode
@ToString(callSuper = true)
public class ProductBrankChangeFeeModeReqVO{

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull(message = "主键ID不能为空")
    private Long id;

    @ApiModelProperty(value = "未授权客户收费类型：：0统一模式，一次设置所有用户 1单独给某个用户设置,默认为0")
    private String unauthChargingModel;

    @ApiModelProperty(value = "未授权客户默认收费标准：仅显示无牌价、中性价")
    private String unauthDefaultFeeType;
}
