package cn.iocoder.yudao.module.product.vo.productbrank;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelRespVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 品牌 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrankRespVO extends ProductBrankBaseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间", required = true)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private java.util.Date createTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
    @ApiModelProperty(value = "修改人")
    private String updater;

    @ApiModelProperty(value = "最后更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private java.util.Date updateTime;

    @ApiModelProperty(value = "商标列表")
    private List<ProductBrandTrademarkRelRespVO> trademarkList;
}
