package cn.iocoder.yudao.module.product.vo.productbrank;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel.ProductBrandTrademarkRelUpdateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 品牌更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrankUpdateReqVO extends ProductBrankBaseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull(message = "主键ID不能为空")
    private Long id;

    @ApiModelProperty(value = "商标列表，每次保存都会删除之前商标", required = true)
    List<ProductBrandTrademarkRelUpdateReqVO> trademarkList;
}
