package cn.iocoder.yudao.module.product.vo.product;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 商品 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductRespVO extends ProductBaseVO {
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private String creator;

    private String updater;

    @ApiModelProperty(value = "创建人")
    private String creatorName;

    @ApiModelProperty(value = "更新人")
    private String updaterName;


    @ApiModelProperty(value = "空运清关费阶梯价格数量")
    private Long priceStepClearanceCount;

    @ApiModelProperty(value = "产品路线价格数量")
    private Long priceLineCount;


    @ApiModelProperty(value = "产品清关费阶梯价格列表")
    private List<ProductPriceStepClearanceBackVO> priceStepClearanceList;

}
