package cn.iocoder.yudao.module.product.convert.coupon;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.vo.coupon.record.CouponUseRecordCreateReqVO;
import cn.iocoder.yudao.module.product.vo.coupon.record.CouponUseRecordExcelVO;
import cn.iocoder.yudao.module.product.vo.coupon.record.CouponUseRecordRespVO;
import cn.iocoder.yudao.module.product.vo.coupon.record.CouponUseRecordUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.coupon.CouponUseRecordDO;

/**
 * 优惠券使用记录 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CouponUseRecordConvert {

    CouponUseRecordConvert INSTANCE = Mappers.getMapper(CouponUseRecordConvert.class);

    CouponUseRecordDO convert(CouponUseRecordCreateReqVO bean);

    CouponUseRecordDO convert(CouponUseRecordUpdateReqVO bean);

    CouponUseRecordRespVO convert(CouponUseRecordDO bean);

    List<CouponUseRecordRespVO> convertList(List<CouponUseRecordDO> list);

    PageResult<CouponUseRecordRespVO> convertPage(PageResult<CouponUseRecordDO> page);

    List<CouponUseRecordExcelVO> convertList02(List<CouponUseRecordDO> list);

}
