package cn.iocoder.yudao.module.product.convert.product;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productAttr.ProductAttrCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productAttr.ProductAttrExcelVO;
import cn.iocoder.yudao.module.product.vo.productAttr.ProductAttrRespVO;
import cn.iocoder.yudao.module.product.vo.productAttr.ProductAttrUpdateReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductAttrDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 产品属性 Convert
 *
 * @author wlh
 */
@Mapper
public interface ProductAttrConvert {

    ProductAttrConvert INSTANCE = Mappers.getMapper(ProductAttrConvert.class);

    ProductAttrDO convert(ProductAttrCreateReqVO bean);

    ProductAttrDO convert(ProductAttrUpdateReqVO bean);

    ProductAttrRespVO convert(ProductAttrDO bean);

    List<ProductAttrRespVO> convertList(List<ProductAttrDO> list);

    PageResult<ProductAttrRespVO> convertPage(PageResult<ProductAttrDO> page);

    List<ProductAttrExcelVO> convertList02(List<ProductAttrDO> list);

}
