package cn.iocoder.yudao.module.product.convert.product;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productType.ProductTypeCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productType.ProductTypeExcelVO;
import cn.iocoder.yudao.module.product.vo.productType.ProductTypeRespVO;
import cn.iocoder.yudao.module.product.vo.productType.ProductTypeUpdateReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductTypeDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 产品类型 Convert
 *
 * @author wlh
 */
@Mapper
public interface ProductTypeConvert {

    ProductTypeConvert INSTANCE = Mappers.getMapper(ProductTypeConvert.class);

    ProductTypeDO convert(ProductTypeCreateReqVO bean);

    ProductTypeDO convert(ProductTypeUpdateReqVO bean);

    ProductTypeRespVO convert(ProductTypeDO bean);

    List<ProductTypeRespVO> convertList(List<ProductTypeDO> list);

    PageResult<ProductTypeRespVO> convertPage(PageResult<ProductTypeDO> page);

    List<ProductTypeExcelVO> convertList02(List<ProductTypeDO> list);

}
