package cn.iocoder.yudao.module.product.convert.productBrandTrademarkCateogryRel;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelExcelVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelRespVO;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.*;
import cn.iocoder.yudao.module.product.dal.dataobject.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelDO;

/**
 * 商标与商品分类关联 Convert
 *
 * @author 江楠
 */
@Mapper
public interface ProductBrandTrademarkCateogryRelConvert {

    ProductBrandTrademarkCateogryRelConvert INSTANCE = Mappers.getMapper(ProductBrandTrademarkCateogryRelConvert.class);

    ProductBrandTrademarkCateogryRelDO convert(ProductBrandTrademarkCateogryRelCreateReqVO bean);

    ProductBrandTrademarkCateogryRelDO convert(ProductBrandTrademarkCateogryRelUpdateReqVO bean);

    ProductBrandTrademarkCateogryRelRespVO convert(ProductBrandTrademarkCateogryRelDO bean);

    List<ProductBrandTrademarkCateogryRelRespVO> convertList(List<ProductBrandTrademarkCateogryRelDO> list);

    PageResult<ProductBrandTrademarkCateogryRelRespVO> convertPage(PageResult<ProductBrandTrademarkCateogryRelDO> page);

    List<ProductBrandTrademarkCateogryRelExcelVO> convertList02(List<ProductBrandTrademarkCateogryRelDO> list);
}
