package cn.iocoder.yudao.module.product.convert.productBrandUnauthEmpower;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerBackVO;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productBrandUnauthEmpower.ProductBrandUnauthEmpowerUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.dal.dataobject.productBrandUnauthEmpower.ProductBrandUnauthEmpowerDO;

/**
 * 商品品牌-未授权客户-指定收费标准 Convert
 * @author 江楠
 */
@Mapper
public interface ProductBrandUnauthEmpowerConvert {
    /*****转换MapStruct*****/
    ProductBrandUnauthEmpowerConvert INSTANCE = Mappers.getMapper(ProductBrandUnauthEmpowerConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ProductBrandUnauthEmpowerDO convert(ProductBrandUnauthEmpowerCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ProductBrandUnauthEmpowerDO convert(ProductBrandUnauthEmpowerUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ProductBrandUnauthEmpowerBackVO convert(ProductBrandUnauthEmpowerDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ProductBrandUnauthEmpowerBackVO> convertList(List<ProductBrandUnauthEmpowerDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ProductBrandUnauthEmpowerBackVO> convertPage(PageResult<ProductBrandUnauthEmpowerDO> page);
}
