package cn.iocoder.yudao.module.product.convert.productPriceStepClearance;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceStepClearanceDO;
import cn.iocoder.yudao.module.product.vo.product.ProductPriceStepClearanceBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 产品清关费阶梯价格 Convert
 * @author yanghao
 */
@Mapper
public interface ProductPriceStepClearanceConvert {
    /*****转换MapStruct*****/
    ProductPriceStepClearanceConvert INSTANCE = Mappers.getMapper(ProductPriceStepClearanceConvert.class);


    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ProductPriceStepClearanceBackVO convert(ProductPriceStepClearanceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ProductPriceStepClearanceBackVO> convertList(List<ProductPriceStepClearanceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ProductPriceStepClearanceBackVO> convertPage(PageResult<ProductPriceStepClearanceDO> page);
}
