package cn.iocoder.yudao.module.product.convert.productbrandempower;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productbrandempower.ProductBrandEmpowerCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productbrandempower.ProductBrandEmpowerExcelVO;
import cn.iocoder.yudao.module.product.vo.productbrandempower.ProductBrandEmpowerRespVO;
import cn.iocoder.yudao.module.product.vo.productbrandempower.ProductBrandEmpowerUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.vo.productbrandempower.*;
import cn.iocoder.yudao.module.product.dal.dataobject.productbrandempower.ProductBrandEmpowerDO;

/**
 * 商品品牌授权 Convert
 *
 * @author 江楠
 */
@Mapper
public interface ProductBrandEmpowerConvert {

    ProductBrandEmpowerConvert INSTANCE = Mappers.getMapper(ProductBrandEmpowerConvert.class);

    ProductBrandEmpowerDO convert(ProductBrandEmpowerCreateReqVO bean);

    ProductBrandEmpowerDO convert(ProductBrandEmpowerUpdateReqVO bean);

    ProductBrandEmpowerRespVO convert(ProductBrandEmpowerDO bean);

    List<ProductBrandEmpowerRespVO> convertList(List<ProductBrandEmpowerDO> list);

    PageResult<ProductBrandEmpowerRespVO> convertPage(PageResult<ProductBrandEmpowerDO> page);

    List<ProductBrandEmpowerExcelVO> convertList02(List<ProductBrandEmpowerDO> list);
}
