package cn.iocoder.yudao.module.product.convert.productbrank;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.vo.productbrank.ProductBrankCreateReqVO;
import cn.iocoder.yudao.module.product.vo.productbrank.ProductBrankExcelVO;
import cn.iocoder.yudao.module.product.vo.productbrank.ProductBrankRespVO;
import cn.iocoder.yudao.module.product.vo.productbrank.ProductBrankUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.vo.productbrank.*;
import cn.iocoder.yudao.module.product.dal.dataobject.productbrank.ProductBrankDO;

/**
 * 品牌 Convert
 *
 * @author 江楠
 */
@Mapper
public interface ProductBrankConvert {

    ProductBrankConvert INSTANCE = Mappers.getMapper(ProductBrankConvert.class);

    ProductBrankDO convert(ProductBrankCreateReqVO bean);

    ProductBrankDO convert(ProductBrankUpdateReqVO bean);
    ProductBrankDO convert(ProductBrankChangeFeeModeReqVO bean);

    ProductBrankRespVO convert(ProductBrankDO bean);

    List<ProductBrankRespVO> convertList(List<ProductBrankDO> list);

    PageResult<ProductBrankRespVO> convertPage(PageResult<ProductBrankDO> page);
    PageResult<ProductBrankRespVO> convertPage2(PageResult<ProductBrandMyEmpowerRespVO> page);

    List<ProductBrankExcelVO> convertList02(List<ProductBrankDO> list);
}
