package cn.iocoder.yudao.module.product.dal.dataobject.product;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class BasePackagingPrice extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;

    /**
     * 路线价格ID
     */
    private Long productPriceId;

    /**
     * 包装类型
     */
    private String packagingTypes;

    /**
     * 包装价格
     */
    private java.math.BigDecimal packagingPrice;
    /**
     * 包装价格金额单位
     */
    private Long packagingPriceUnit;
    /**
     * 包装价格体积单位
     */
    private Long packagingVolumeUnit;

    /**
     * 包装价格顺序
     */
    private Integer rankNum;
}
