package cn.iocoder.yudao.module.product.dal.dataobject.product;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产品属性 DO
 *
 * @author wlh
 */
@TableName("ecw_product_attr")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductAttrDO extends BaseDO {
    /**
     *
     */
    @TableId
    private Long id;

    /**
     * 属性名称
     */
    private String attrName;

    /**
     * 属性英文名称
     */
    private String attrNameEn;
    /**
     * 属性法文名称
     */
    private String attrNameFr;

    /**
     * 属性代码
     */
    private String attrCode;
    /**
     * 备注
     */
    private String remark;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
