package cn.iocoder.yudao.module.product.dal.dataobject.product;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产品批量操作日志 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_product_batch_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBatchLogDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 请求参数
     */
    private String json;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
