package cn.iocoder.yudao.module.product.dal.dataobject.productPriceSnapshot;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 路线价格修改历史 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_product_price_snapshot")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductPriceSnapshotDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;

    private Long priceId;

    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 线路ID
     */
    private Long warehouseLineId;
    /**
     * 出货渠道ID
     */
    private Long shippingChannelId;
    /**
     * 
     */
    private String content;

    private String creatorName;

}
