package cn.iocoder.yudao.module.product.dal.mysql.product;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceStepDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 产品阶梯价格 Mapper
 *
 * @author jiuping
 */
@Mapper
public interface ProductPriceStepMapper extends AbstractMapper<ProductPriceStepDO> {

    @Delete("delete from ecw_product_price_step where product_price_id in (${idStr})")
    void physicsDelete(@Param("idStr") String idStr);

    Integer insertBatchSomeColumn(Collection<ProductPriceStepDO> entityList);

    int updateBatch(@Param("list") List<ProductPriceStepDO> list);

    @Delete("delete from ecw_product_price_step where id in (${idStr})")
    void physicsDeleteById(@Param("idStr") String idStr);
}
