package cn.iocoder.yudao.module.product.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 报价单管理 预计费用清单
 */
@Data
public class CostDto {

    @ApiModelProperty(value = "箱规体积")
    private String totalBoxGauge = "0*0*0";

    @ApiModelProperty(value = "商品总件数")
    private Integer totalNum = 0;

//    @ApiModelProperty(value = "其他费用")
//    private BigDecimal otherFee = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "其他费用货币ID")
//    private Integer otherFeeCurrencyId = 1;
//
//    @ApiModelProperty(value = "奈拉(NGN)其他费用")
//    private BigDecimal otherFeeNGN = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(RMB)运费")
//    private BigDecimal otherFeeRMB = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(USD)运费")
//    private BigDecimal otherFeeUSD = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "奈拉(NGN)运费")
//    private BigDecimal seaNGN = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "奈拉(NGN)清关费")
//    private BigDecimal clearanceNGN = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(RMB)运费")
//    private BigDecimal seaRMB = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(RMB)清关费")
//    private BigDecimal clearanceRMB = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "美元(USD)运费")
//    private BigDecimal seaUSD = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "美元(USD)清关费")
//    private BigDecimal clearanceUSD = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "奈拉(NGN)运费")
//    private BigDecimal orgSeaNGN = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "奈拉(NGN)清关费")
//    private BigDecimal orgClearanceNGN = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(RMB)运费")
//    private BigDecimal orgSeaRMB = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "人民币(RMB)清关费")
//    private BigDecimal orgClearanceRMB = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "美元(USD)运费")
//    private BigDecimal orgSeaUSD = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "美元(USD)清关费")
//    private BigDecimal orgClearanceUSD = BigDecimal.ZERO;

    @ApiModelProperty(value = "人民币(RMB)总货值")
    private BigDecimal totalWorth = BigDecimal.ZERO;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "总数量")
    private Integer totalQuantity;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume = BigDecimal.ZERO;

    //修改BUG 报价费要按配置参数中的币种来计算
    @ApiModelProperty(value = "美元(USD)保价费")
    private BigDecimal insuranceFee = new BigDecimal("2");

    @ApiModelProperty(value = "保价费货币id")
    private Long insuranceCurrencyId;

    @ApiModelProperty(value = "费用列表")
    private List<FeeDto> feeDtoList;
}
