package cn.iocoder.yudao.module.product.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum FeeTypeEnum {


    FREIGHT(1, "运费"),
    CLEARANCE_FEE(2, "清关费"),
    OTHER_FEE(3, "其他费用"),
    WORTH(4, "货值"),
    INSURANCE_FEE(5, "保价费"),
    ORIGINAL_FREIGHT(6, "原运费"),
    ORIGINAL_CLEARANCE_FEE(7, "原清关费"),
    DISCOUNT_FEE(8, "优惠金额"),
    ;
    /**
     * 类型
     */
    private final Integer type;
    /**
     * 类型名
     */
    private final String name;
}
