package cn.iocoder.yudao.module.product.enums;

public enum PriceTypeEnum {

    FREIGHT(0, "运费"),
    CLEARANCE(2, "清关费"),
    FULL_PRICE(1, "全包价");

    private final int priceType;
    private final String text;

    public int getPriceType() {
        return priceType;
    }

    public String getText() {
        return text;
    }

    PriceTypeEnum(int priceType, String text) {
        this.priceType = priceType;
        this.text = text;
    }
}
