package cn.iocoder.yudao.module.product.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "优惠修改投放状态接口调用参数")
public class CouponPutonStatusParam {

    @ApiModelProperty(value = "优惠ID", required = true)
    @NotNull(message = "coupon.id.not.null")
    private Long couponId;

    @ApiModelProperty(value = "优惠券投放状态(-1:取消投放 0:等待投放 1:投放 2:违规下架 3:等待审核)")
    @NotNull(message = "coupon.puton.status.not.null")
    private Integer putonStatus;

}
