package cn.iocoder.yudao.module.product.service.product;

import java.util.*;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceSpecialDO;

/**
 * 路线价格特殊需求 Service 接口
 *
 * @author 系统管理员
 */
public interface ProductPriceSpecialService extends IService<ProductPriceSpecialDO> {


    /**
     * 获得路线价格特殊需求列表
     * @param productPriceId productPriceId
     * @return 路线价格特殊需求列表
     */
    List<ProductPriceSpecialDO> getProductPriceSpecialList(Long productPriceId);

    List<ProductPriceSpecialDO> getProductPriceSpecialList(List<Long> productPriceId);
}
