package cn.iocoder.yudao.module.product.vo.coupon;

import cn.iocoder.yudao.module.product.vo.coupon.line.CouponLineCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 优惠券信息创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponCreateReqVO extends CouponBaseVO {

    @ApiModelProperty(value = "优惠清单")
    private List<DiscountDetailedVO>  discountDetailedVOs;

    @ApiModelProperty(value = "客户联系人ID列表")
    private List<Long> customerIds;

    @ApiModelProperty(value = "产品ID列表")
    private List<Long> prodIds;

    @ApiModelProperty(value = "线路ID列表")
    private List<CouponLineCreateReqVO> lineIds;

    @ApiModelProperty(value = "内容-中文")
    private String contentZh;

    @ApiModelProperty(value = "内容-英文")
    private String contentEn;
}
