package cn.iocoder.yudao.module.product.vo.coupon.content;

import lombok.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 优惠券站内信息关联信息 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class CouponContentExcelVO {

    @ExcelProperty("优惠券线路ID")
    private Long couponContentId;

    @ExcelProperty("优惠券ID")
    private Long couponId;

    @ExcelProperty("内容-中文")
    private String contentZh;

    @ExcelProperty("内容-英文")
    private String contentEn;

}
