package cn.iocoder.yudao.module.product.vo.coupon.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 优惠券客户关联信息 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class CouponCustomerExcelVO {

    @ExcelProperty("优惠券客户ID")
    private Long couponCustomerId;

    @ExcelProperty("优惠券ID")
    private Long couponId;

    @ExcelProperty(value = "web端用户ID")
    private Long userId;

    @ExcelProperty("客户ID")
    private Long customerId;

    @ExcelProperty("领券时间")
    private Date receiveTime;

    @ExcelProperty("优惠券状态 0:失效 1:有效 2:使用过")
    private Integer status;

    @ExcelProperty("开始时间")
    private Date userStartTime;

    @ExcelProperty("结束时间")
    private Date userEndTime;

    @ExcelProperty("优惠券是否被删除")
    private Boolean isDelete;

}
