package cn.iocoder.yudao.module.product.vo.coupon.customer;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 优惠券客户关联信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponCustomerPageReqVO extends PageParam {

    @ApiModelProperty(value = "优惠券ID")
    private Long couponId;

    @ApiModelProperty(value = "web端用户ID")
    private Long userId;

    @ApiModelProperty(value = "客户ID")
    private Long customerId;

//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "开始领券时间")
//    private Date beginReceiveTime;
//
//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "结束领券时间")
//    private Date endReceiveTime;

    @ApiModelProperty(value = "优惠券状态 0:失效 1:有效 2:使用过")
    private Integer status;

//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "开始开始时间")
//    private Date beginUserStartTime;

//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "结束开始时间")
//    private Date endUserStartTime;
//
//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "开始结束时间")
//    private Date beginUserEndTime;
//
//    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
//    @ApiModelProperty(value = "结束结束时间")
//    private Date endUserEndTime;

    @ApiModelProperty(value = "优惠券是否被删除")
    private Boolean isDelete;

    @ApiModelProperty(value = "语言: 0 中文 1 英文(不需要页面传值)")
    private Integer lang;
}
