package cn.iocoder.yudao.module.product.vo.coupon.prod;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 优惠券商品关联信息更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponProdUpdateReqVO extends CouponProdBaseVO {

    @ApiModelProperty(value = "优惠券商品ID", required = true)
    @NotNull(message = "优惠券商品ID不能为空")
    private Long couponProdId;

}
