package cn.iocoder.yudao.module.product.vo.coupon.record;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 优惠券使用记录更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponUseRecordUpdateReqVO extends CouponUseRecordBaseVO {

    @ApiModelProperty(value = "优惠券使用记录id", required = true)
    @NotNull(message = "优惠券使用记录id不能为空")
    private Long couponUseRecordId;

}
