package cn.iocoder.yudao.module.product.vo.product;

import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceStepClearanceDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@ApiModel("管理后台 - 商品创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductCreateReqVO extends ProductBaseVO {

    @ApiModelProperty(value = "适用优惠id列表")
    private List<Long> couponIds;


    @ApiModelProperty(value = "产品清关费阶梯价格列表")
    private List<ProductPriceStepClearanceDO> priceStepClearanceList;



    @ApiModelProperty(value = "是否复制模板线路价格, 与productTemplateId组合使用")
    private Boolean isCopyProductPriceTemplate = false;

    @ApiModelProperty(value = "产品线路价格模板id")
    private Long productTemplateId;
}
