package cn.iocoder.yudao.module.product.vo.product;

import com.alibaba.excel.annotation.ExcelIgnore;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 商品 Excel VO
 *
 * @author wlh
 */
@Data
public class ProductExcelVO {

    @ExcelProperty("ID")
    private String showId;

    @ExcelProperty("商品类型")
    private String typeName;

    @ExcelProperty("海关编码")
    private String customsCode;

    @ExcelProperty("中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    private String titleEn;

    @ExcelProperty("商品属性")
    private String attrName;

    @ExcelProperty("审核状态")
    private String auditStatusName;

    /**
     * 产品类型id
     */
    @ExcelIgnore
    private Long typeId;
    /**
     * 产品属性id
     */
    @ExcelIgnore
    private String attrId;

    @ExcelIgnore
    private Integer auditStatus;

    @ExcelIgnore
    private Long id;

}
