package cn.iocoder.yudao.module.product.vo.productAttr;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商品属性 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductAttrBaseVO {

    @ApiModelProperty(value = "属性名称", required = true)
    @NotNull(message = "属性名称不能为空")
    private String attrName;

    @ApiModelProperty(value = "属性英文名称")
    private String attrNameEn;

    @ApiModelProperty(value = "属性法文名称")
    private String attrNameFr;

    @ApiModelProperty(value = "属性代码", required = true)
    @NotNull(message = "属性代码不能为空")
    private String attrCode;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
