package cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商标与商品分类关联 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductBrandTrademarkCateogryRelBaseVO {

    @ApiModelProperty(value = "商标id", required = true)
    @NotNull(message = "商标id不能为空")
    private Long trademarkId;

    @ApiModelProperty(value = "商品分类，0是全部,一个商标只有一个全部分类。默认是全部，可以修改为指定商标。", required = true)
    @NotNull(message = "商品分类，0是全部不能为空")
    private Long productCategoryId;

    @ApiModelProperty(value = "商品id，0是全部", required = true)
    @NotNull(message = "商品id，0是全部不能为空")
    private Long productId;

}
