package cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel;

import lombok.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 商标与商品分类关联分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrandTrademarkCateogryRelPageReqVO extends PageParam {

    @ApiModelProperty(value = "商标id")
    private Long trademarkId;

    @ApiModelProperty(value = "商品分类，0是全部")
    private Long productCategoryId;

    @ApiModelProperty(value = "商品id，0是全部")
    private Long productId;

}
