package cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商品品牌与商标关联 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ProductBrandTrademarkRelBaseVO {

    @ApiModelProperty(value = "关联商品品牌id", required = true)
    @NotNull(message = "关联商品品牌id不能为空")
    private Long productBrandId;

    @ApiModelProperty(value = "商标名称", required = true)
    @NotNull(message = "商标名称不能为空")
    private String brandName;


}
