package cn.iocoder.yudao.module.product.vo.productBrandTrademarkRel;

import cn.iocoder.yudao.module.product.vo.productBrandTrademarkCateogryRel.ProductBrandTrademarkCateogryRelRespVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.persistence.Transient;

@ApiModel("管理后台 - 商品品牌与商标关联 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrandTrademarkRelRespVO extends ProductBrandTrademarkRelBaseVO {

    @ApiModelProperty(value = "主键，商标id", required = true)
    private Long id;

    @Transient
    @ApiModelProperty(value = "商标与商品分类关联列表", required = true)
    private List<ProductBrandTrademarkCateogryRelRespVO> trademarkCategoryRelList;

}
