package cn.iocoder.yudao.module.product.vo.productPrice;

import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 路线产品 Excel VO
 *
 * @author wlh
 */
@Data
public class ProductPriceExcelVO {
    @ExcelProperty("ID")
    private String id;

    @ExcelProperty("海关编码")
    private String customsCode;

    @ExcelProperty("商品编码")
    private String productCode;

    @ExcelProperty("商品类型")
    private String goodType;

    @ExcelProperty("商品名称")
    private String goodName;

    @ExcelProperty("运输方式")
    private String transportType;

    @ExcelProperty("出货渠道")
    private String channelName;

    @ExcelProperty("始发地/目的地")
    private String routeName;

    @ExcelProperty("运费")
    @ContentStyle(wrapped = true)
//    @ColumnWidth(20)
    private String mrTransportPrice;

    @ExcelProperty("清关费")
    @ContentStyle(wrapped = true)
//    @ColumnWidth(20)
    private String mrClearancePrice;

    @ExcelProperty("有牌价格运费")
    @ContentStyle(wrapped = true)
    private String ypTransportPrice;

    @ExcelProperty("有牌价格清关费")
    @ContentStyle(wrapped = true)
    private String ypClearancePrice;

    @ExcelProperty("中性价格运费")
    @ContentStyle(wrapped = true)
    private String zxTransportPrice;

    @ExcelProperty("中性价格清关费")
    @ContentStyle(wrapped = true)
    private String zxClearancePrice;

    @ExcelProperty("液体价格运费")
    @ContentStyle(wrapped = true)
    private String ytTransportPrice;

    @ExcelProperty("液体价格清关费")
    @ContentStyle(wrapped = true)
    private String ytClearancePrice;

    @ExcelProperty("带电价格运费")
    @ContentStyle(wrapped = true)
    private String ddTransportPrice;

    @ExcelProperty("带电价格清关费")
    @ContentStyle(wrapped = true)
    private String ddClearancePrice;

    @ExcelProperty("状态")
    private String statusName;

    @ExcelProperty("预付")
    private String payType;

    @ExcelProperty("最后修改时间")
    private String lastTime;

    @ExcelProperty("过期时间")
    private String expireTime;

}
