package cn.iocoder.yudao.module.product.vo.productType;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 商品类型 Excel VO
 *
 * @author wlh
 */
@Data
public class ProductTypeExcelVO {

    @ExcelProperty("中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    private String titleEn;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
