package cn.iocoder.yudao.module.product.vo.productbrandempower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 根据商品、品牌、订单id查询收费类型、是否有备案")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class GetFeeTypeProductBrandByOrderEmpowerReqVO {

    @ApiModelProperty(value = "商品id,比如手机、手机壳等商品id", required = true,example = "1")
    @NotNull(message = "商品id不能为空")
    private Long productId;

    @ApiModelProperty(value = "品牌id,比如苹果，小米,为空或未0就是无备案",example = "2")
    private Long brandId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;


}
