package cn.iocoder.yudao.module.product.vo.productbrandempower;

import lombok.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 商品品牌授权分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBrandEmpowerPageReqVO extends PageParam {

    @ApiModelProperty(value = "商品品牌id")
    @NotNull(message = "商品品牌id不能为空")
    private Long productBrandId;

    @ApiModelProperty(value = "客户id")
    private Long customerId;
    @ApiModelProperty(value = "客户联系人电话、名称")
    private String customerKey;
//    @ApiModelProperty(value = "客户联系人id")
//    private Long customerContactsId;
//
//    @ApiModelProperty(value = "开始授权开始时间")
//    private Date beginStartTime;
//
//    @ApiModelProperty(value = "结束授权开始时间")
//    private Date endStartTime;
//
//    @ApiModelProperty(value = "开始授权结束时间")
//    private Date beginEndTime;
//
//    @ApiModelProperty(value = "结束授权结束时间")
//    private Date endEndTime;
//
//    @ApiModelProperty(value = "授权文件URL")
//    private String fileUrl;

    @ApiModelProperty(value = "收费标准 0为无牌收费 1为有牌收费")
    private Integer feeScale;

    @ApiModelProperty(value = "授权状态 1为未授权 0为已授权")
    private Integer status;

//    @ApiModelProperty(value = "创建人id")
//    private Long createUserId;
//
//    @ApiModelProperty(value = "创建人用户名")
//    private String createUsername;
//
//    @ApiModelProperty(value = "开始创建时间")
//    private Date beginCreateTime;
//
//    @ApiModelProperty(value = "结束创建时间")
//    private Date endCreateTime;

}
