package cn.iocoder.yudao.module.product.vo.productbrandempower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "商品线路品牌价格")
public class ProductLineBrandPriceVO {

    @ApiModelProperty("中性价格")
    private BigDecimal neutral;

    @ApiModelProperty("有牌价格")
    private BigDecimal have;

    @ApiModelProperty("线路ID")
    private Long lineId;

    @ApiModelProperty("渠道ID")
    private Long channelId;
}
