package cn.iocoder.yudao.module.product.vo.productbrank;

import lombok.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 品牌 Excel 导出 Request VO", description = "参数和 ProductBrankPageReqVO 是一致的")
@Data
public class ProductBrankExportReqVO {

    @ApiModelProperty(value = "品牌中文标题")
    private String titleZh;

    @ApiModelProperty(value = "品牌英文标题")
    private String titleEn;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "是否备案，字典")
    private String filing;
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private java.util.Date beginCreateTime;
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private java.util.Date endCreateTime;

}
